> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/actionparameters-object/amazonexportdynamodbtablesparameters-object.md).

# AmazonExportDynamoDbTablesParameters Object

## Description

Parameters for the Amazon Export DynamoDB Tables action.

## Properties

### bucketName

Name of the S3 bucket into which the table will be exported.

Type: `string`

Required: Yes

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### outputFormat

Format of the items when saved in the S3 bucket.

Type: `string`

Valid Values:

* `dynamodb-item-json-utf8`

Required: Yes

### prefix

Prefix to apply to the S3 objects when adding the items to the bucket.

Type: `string`

Required: No

### readThroughputPercent

Indicates the read throughput to use when reading the table.

Type: `integer`

Valid Values: 10 to 100

Required: Yes

### regionNames

Regions to use with the action. Omit (or specify `null`) to include "all regions".

Type: Array of `string`

Required: No

### resourceTagComparison <a href="#resourcetagcomparison" id="resourcetagcomparison"></a>

Comparison to use when identifying tables by resource tag. Required when `tableIdentificationMethod` is `by-resource-tag`.

Type: [ResourceTagComparison](/data-types/resourcetagcomparison-object-1.md) object.

Required: Conditional

### tableIdentificationMethod

Method used to select tables to be exported.

Type: `string`

Valid Values:

* `all-tables`
* `by-table-name`
* `by-resource-tag`

Required: Yes

### tableNameComparison

Comparison to use when comparing by table name. Required when `tableIdentificationMethod` is `by-table-name`.

Type: [TableNameComparison](/data-types/tablenamecomparison-object.md) object

Required: Conditional

### targetCredentialId

Credential ID of the AWS credentials to use when saving into the bucket. Eg. `cred-12345678`.

Type: `string`

Required: No

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1",
        "us-east-2"
    ],

    "tableIdentificationMethod": "by-table-name",
    "tableNameComparison": {
        "compareType": "starts-with",
        "tableName": "prod-"
    },

    "readThroughputPercent": 25,
    
    "bucketName": "my-bucket",
    "prefix": "backups/$(REGION)/$(TABLENAME)/$(DATE)-$(TIME)/",
    
    "outputFormat": "dynamodb-item-json-utf8"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazonexportdynamodbtablesparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
